import 'package:eyflutter_uikit/eyflutter_uikit.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class DropPage extends StatefulWidget {
  const DropPage({Key? key}) : super(key: key);

  @override
  _DropPageState createState() => _DropPageState();
}

class DropModel extends BaseFormModel {
  @override
  void onInitData(BuildContext context, Map<String, dynamic> arguments) {}
}

class _DropPageState extends BaseFormState<DropPage, DropModel> {
  @override
  DropModel get createModel => DropModel();

  @override
  String get viewName => "drop";

  @override
  Color? get backgroundColor => const Color(0xFFF4F4F4);

  String selValue = "1";
  DropdownListController? dropdownListController;

  @override
  ActionBar? onActionBar() {
    return const ActionBar(
      leadingActions: [Text("返回")],
      content: Text(
        "标题",
        style: TextStyle(color: Colors.red),
      ),
      actions: [Text("确认")],
      rightPadding: 30,
      isFloatContent: true,
      backgroundColor: Colors.transparent,
      systemUiOverlayStyle: SystemUiOverlayStyle(
        statusBarColor: Colors.transparent,
        statusBarIconBrightness: Brightness.dark,
        statusBarBrightness: Brightness.light,
      ),
    );
  }

  @override
  Widget onRenderObject() {
    return Container(
      padding: const EdgeInsets.only(left: 30, top: 100, right: 30),
      alignment: Alignment.topCenter,
      child: DropdownList(
        items: [
          ListItem(value: "1", text: '选项1'),
          ListItem(text: "选项2", value: "2"),
        ],
        width: 160,
        title: "标题",
        submitText: "确定",
        isPreSelect: true,
        isMultiSelect: false,
        hintText: "请选择 ",
        leastSelectHintText: "至少选择一项",
        buttonBackgroundColors: const [Color(0xff1afa29), Color(0xff1afa29)],
        buttonIconColor: Colors.white,
        defaultValue: selValue,
        borderRadius: const BorderRadius.all(Radius.circular(10)),
        enable: true,
        listSplitLineColor: Colors.red,
        buildCall: (controller) {
          dropdownListController = controller;
        },
        selectCall: (List<ListItem> selectItems) {
          var first = selectItems.first;
          selValue = first.value;
          dropdownListController?.notifierLazy(first.value);
        },
      ),
    );
  }
}
