import 'package:eyflutter_core/eyflutter_core.dart';
import 'package:eyflutter_uikit/eyflutter_uikit.dart';
import 'package:eyflutter_uikit_example/configuration/flutter_image_list.dart';
import 'package:eyflutter_uikit_example/configuration/image_config_impl.dart';
import 'package:eyflutter_uikit_example/configuration/image_names_alias.dart';
import 'package:eyflutter_uikit_example/tab_page_fragment.dart';
import 'package:flutter/material.dart';

class MyTabPage extends StatefulWidget {
  const MyTabPage({Key? key}) : super(key: key);

  @override
  _MyTabPageState createState() => _MyTabPageState();
}

class _MyTabPageState extends State<MyTabPage> {
  @override
  void initState() {
    super.initState();
    ConfigManager.instance.addConfig(ImageKey.imageListKey, FlutterImageList.instance.onImageList());
    ConfigManager.instance.addConfig(ImageKey.imageConfigKey, ImageConfigImpl());
  }

  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: Scaffold(
        body: Container(
          color: Colors.white,
          child: TabPages(
            style: TabPageStyle.suckTop,
            tabs: buildTabs(),
            pages: const [
              TabPageFragment(
                position: 0,
              ),
              TabPageFragment(
                position: 1,
              ),
              TabPageFragment(
                position: 2,
              ),
              TabPageFragment(
                position: 3,
              ),
            ],
            tabHeight: 50,
            selectedLabelColor: const Color(0xFFE63021),
            unselectedLabelColor: const Color(0xFF56575B),
            indicatorColor: const Color(0x66E63021),
            elevationColor: const Color(0x0d3B372C),
            selectedLabelStyle: const TextStyle(fontSize: 16),
            tabBackgroundColor: const Color(0xffF1EDE1),
            tabBorderRadius: const BorderRadius.only(topLeft: Radius.circular(16), topRight: Radius.circular(16)),
            indicatorPadding: const EdgeInsets.only(left: -8, right: -8),
            isScrollable: false,
            initialIndex: 0,
            indicatorImageNameOrAlias: ImageNamesAlias.indicatorIcon,
            loadCall: (BuildContext context) {
              Logger.instance.info("load");
            },
            topWidget: Container(
              width: double.infinity,
              alignment: Alignment.center,
              padding: const EdgeInsets.only(bottom: 8),
              child: Container(
                child: const Text(
                    "中国拥有从高山到滨海的不同湿地类型，几乎涵盖《湿地公约》所有湿地类型，也孕育了多姿多彩的湿地生物。根据第二次全国湿地资源调查统计中国拥有从高山到滨海的不同湿地类型，几乎涵盖《湿地公约》所有湿地类型，也孕育了多姿多彩的湿地生物。根据第二次全国湿地资源调查统计中国拥有从高山到滨海的不同湿地类型，几乎涵盖《湿地公约》所有湿地类型，也孕育了多姿多彩的湿地生物。根据第二次全国湿地资源调查统计，中国湿地高等植物约200科692属2315种，全世界雁鸭类有168种，中国湿地就有54种，约占32%。全世界鹤类有15种，中国就有9种，占60%。中国湿地还是世界水禽的重要繁殖地、越冬地和候鸟迁徙的停歇地，如新疆巴音布鲁克湿地是天鹅的重要繁殖地，江苏盐城沿海滩涂是世界上最大的丹顶鹤越冬地，江西鄱阳湖是世界上最大的白鹤越冬地，在此越冬的白鹤占全世界总数的95%以上。中国拥有从高山到滨海的不同湿地类型，几乎涵盖《湿地公约》所有湿地类型，也孕育了多姿多彩的湿地生物。根据第二次全国湿地资源调查统计，中国湿地高等植物约200科692属2315种，全世界雁鸭类有168种，中国湿地就有54种，约占32%。全世界鹤类有15种，中国就有9种，占60%。中国湿地还是世界水禽的重要繁殖地、越冬地和候鸟迁徙的停歇地，如新疆巴音布鲁克湿地是天鹅的重要繁殖地，江苏盐城沿海滩涂是世界上最大的丹顶鹤越冬地，江西鄱阳湖是世界上最大的白鹤越冬地，在此越冬的白鹤占全世界总数的95%以上。中国拥有从高山到滨海的不同湿地类型，几乎涵盖《湿地公约》所有湿地类型，也孕育了多姿多彩的湿地生物。根据第二次全国湿地资源调查统计，中国湿地高等植物约200科692属2315种，全世界雁鸭类有168种，中国湿地就有54种，约占32%。全世界鹤类有15种，中国就有9种，占60%。中国湿地还是世界水禽的重要繁殖地、越冬地和候鸟迁徙的停歇地，如新疆巴音布鲁克湿地是天鹅的重要繁殖地，江苏盐城沿海滩涂是世界上最大的丹顶鹤越冬地，江西鄱阳湖是世界上最大的白鹤越冬地，在此越冬的白鹤占全世界总数的95%以上。中国拥有从高山到滨海的不同湿地类型，几乎涵盖《湿地公约》所有湿地类型，也孕育了多姿多彩的湿地生物。根据第二次全国湿地资源调查统计，中国湿地高等植物约200科692属2315种，全世界雁鸭类有168种，中国湿地就有54种，约占32%。全世界鹤类有15种，中国就有9种，占60%。中国湿地还是世界水禽的重要繁殖地、越冬地和候鸟迁徙的停歇地，如新疆巴音布鲁克湿地是天鹅的重要繁殖地，江苏盐城沿海滩涂是世界上最大的丹顶鹤越冬地，江西鄱阳湖是世界上最大的白鹤越冬地，在此越冬的白鹤占全世界总数的95%以上。"),
              ),
            ),
          ),
        ),
      ),
      top: true,
    );
  }

  List<TabWidget> buildTabs() {
    List<TabWidget> tabWidgets = [];
    tabWidgets.add(TabWidget(text: "温故"));
    tabWidgets.add(TabWidget(text: "今日学"));
    tabWidgets.add(TabWidget(text: "待学习"));
    tabWidgets.add(TabWidget(text: "已背诵"));
    return tabWidgets;
  }
}
