import 'package:eyflutter_uikit/eyflutter_uikit.dart';
import 'package:flutter/material.dart';

class PopPage extends StatefulWidget {
  const PopPage({Key? key}) : super(key: key);

  @override
  _PopPageState createState() => _PopPageState();
}

class _PopPageState extends State<PopPage> {
  PopWidgetController? popWidgetController;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      body: Center(
        child: PopWindowWidget(
          child: _PopView(
            onPressed: () {
              popWidgetController?.showMenu();
            },
          ),
          buildCall: (PopWidgetController controller) {
            popWidgetController = controller;
          },
          menuBuilder: () {
            return const SizedBox();
          },
        ),
      ),
    );
  }
}

class _PopView extends StatelessWidget {
  final Function() onPressed;

  const _PopView({Key? key, required this.onPressed}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return const Center(
      child: Text("点击"),
    );
  }
}
