import 'package:eyflutter_uikit/eyflutter_uikit.dart';
import 'package:flutter/material.dart';
import 'package:flutter_easyrefresh/easy_refresh.dart';

class TabPageFragment extends StatefulWidget {
  final int position;

  const TabPageFragment({Key? key, required this.position}) : super(key: key);

  @override
  _TabPageFragmentState createState() => _TabPageFragmentState();
}

class _TabPageFragmentState extends State<TabPageFragment> {
  @override
  Widget build(BuildContext context) {
    return ListView.builder(
      physics: const NeverScrollableScrollPhysics(),
      itemBuilder: (BuildContext context, int index) {
        return Center(child: Text("$index${widget.position}"));
      },
      itemCount: 50,
      itemExtent: 30,
    );
    return RefreshWidget(
      listStyle: RefreshListStyle.custom,
      scrollMaxRatioLoad: 1,
      child: ListView.builder(
        physics: const NeverScrollableScrollPhysics(),
        itemBuilder: (BuildContext context, int index) {
          return Center(child: Text("$index${widget.position}"));
        },
        itemCount: 50,
        itemExtent: 30,
      ),
      enableRefresh: false,
      enableLoad: true,
      initCall: (controller) {

      },
      onRefresh: (EasyRefreshController controller) async {
        controller.finishRefresh();
      },
      onLoad: (EasyRefreshController controller) {
        controller.finishLoad();
      },
    );
  }
}
