#import "EyflutterUikitPlugin.h"
#if __has_include(<eyflutter_uikit/eyflutter_uikit-Swift.h>)
#import <eyflutter_uikit/eyflutter_uikit-Swift.h>
#else
// Support project import fallback if the generated compatibility header
// is not copied when this plugin is created as a library.
// https://forums.swift.org/t/swift-static-libraries-dont-copy-generated-objective-c-header/19816
#import "eyflutter_uikit-Swift.h"
#endif

#import "ZBarSDK.h"
#import "ToastUtil.h"

@implementation EyflutterUikitPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  [SwiftEyflutterUikitPlugin registerWithRegistrar:registrar];
}

+ (NSString *)recognitionQrcode:(NSDictionary *)params {
    NSString *imagePath = [params valueForKey:@"imagePath"];
    UIImage *image = [[UIImage alloc] initWithContentsOfFile: imagePath];
    UIImage * aImage = image;
    ZBarReaderController *read = [ZBarReaderController new];
    NSMutableArray *array = [[NSMutableArray alloc]initWithCapacity:1];
    CIDetector *detector = [CIDetector detectorOfType:CIDetectorTypeQRCode context:nil options:@{CIDetectorAccuracy: CIDetectorAccuracyHigh}];
        // 取得识别结果
    NSArray *detectorList = [detector featuresInImage:[CIImage imageWithCGImage:image.CGImage]];
    for(CIQRCodeFeature *feature in detectorList){
        NSString* strCode = feature.messageString;
        [array addObject:strCode];
    }
    if(array.count == 0 ){
        CGImageRef cgImageRef = aImage.CGImage;
        ZBarSymbol* symbol = nil;
        for(symbol in [read scanImage:cgImageRef]){
            NSString* strCode = symbol.data;
            [array addObject:strCode];
        }
    }
    NSArray *features = array;
    if (features.count == 0) {
        return @"";
    } else {
        NSString* strCode = [features objectAtIndex:0];
        return strCode;
    }
}

+ (void)showToast:(NSString *)msg {
    ToastUtil *toastUtil = [ToastUtil toast];
    [toastUtil showToast:msg];
}
@end
