//
//  ToastUtil.h
//  eyflutter_uikit
//
//  Created by 李敬欢 on 2023/2/1.
//

#ifndef ToastUtil_h
#define ToastUtil_h


#endif /* ToastUtil_h */

#import <UIKit/UIKit.h>

typedef NS_ENUM(NSInteger, Gravity) {
    TOP,
    CENTRE,
    BOTTOM
};

@interface ToastUtil : NSObject

+(instancetype)toast;
 
// 显示Toast（默认时长2.5秒，默认底部显示）
-(void)showToast:(NSString *)msg;
 
// 显示Toast：设置时长（默认底部显示）
-(void)showToast:(NSString *)msg duration:(NSTimeInterval)duration;
 
// 显示Toast：设置时长，设置显示位置（TOP，CENTRE，BOTTOM）
-(void)showToast:(NSString *)msg duration:(NSTimeInterval)duration gravity:(Gravity)gravity;
 
// 显示Toast：设置时长，设置显示位置（TOP，CENTRE，BOTTOM），设置消失回调监听
-(void)showToast:(NSString *)msg duration:(NSTimeInterval)duration gravity:(Gravity)gravity finishHandler:(dispatch_block_t)finishHandler;

@end
