import 'package:flutter/material.dart';

class LinkButton extends StatelessWidget {
  /// 文本
  final String text;

  /// 文本大小
  final double fontSize;

  /// 文本颜色
  final Color textColor;

  final VoidCallback? onPressed;

  /// 内边距
  final EdgeInsetsGeometry? padding;

  const LinkButton(
      {Key? key,
      required this.text,
      this.fontSize = 12,
      this.textColor = const Color(0xffADADAD),
      required this.onPressed,
      this.padding})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      child: TextButton(
        onPressed: onPressed,
        child: Text(
          text,
          style: TextStyle(color: textColor, fontSize: fontSize),
        ),
        style: ButtonStyle(
          padding: MaterialStateProperty.all(padding ?? EdgeInsets.zero),
          minimumSize: MaterialStateProperty.all(Size.zero),
        ),
      ),
      height: fontSize + fontSize / 2,
    );
  }
}
